/* Credits: http://purecss.io/layouts/marketing/ */

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* Fonts */
.content-head, 
.content-head.content-head-ribbon, 
.home-menu a {
    font-family: 'Crimson Text', Helvetica, sans-serif;
}

/*
 * -- BASE STYLES --
 * Most of these are inherited from Base, but I want to change a few.
 */
body {
    line-height: 1.7em;
    color: #7f8c8d;
    font-size: 13px;
}

h1,
h2,
h3,
h4,
h5,
h6,
label {
    color: #34495e;
}

.pure-img-responsive {
    max-width: 100%;
    height: auto;
}

/*
 * -- LAYOUT STYLES --
 * These are some useful classes which I will need
 */
.l-box {
    padding: 1em;
}

.l-box-lrg {
    padding: 2em;
    border-bottom: 1px solid rgba(0,0,0,0.1);
}

.is-center {
    text-align: center;
}

/*
 * -- PURE FORM STYLES --
 * Style the form inputs and labels
 */
.pure-form label {
    margin: 1em 0 0;
    font-weight: bold;
    font-size: 100%;
}

.pure-form input[type], .pure-form textarea  {
    border: 2px solid #ddd;
    box-shadow: none;
    font-size: 100%;
    width: 100%;
    margin-bottom: 1em;
}

/*
 * -- PURE BUTTON STYLES --
 * I want my pure-button elements to look a little different
 */
.pure-button {
    background-color: #489ACB;
    color: white;
    padding: 0.5em 2em;
    border-radius: 5px;
}

a.pure-button-primary {
    background: white;
    color: #1f8dd6;
    border-radius: 5px;
    font-size: 120%;
}

/*
 * -- MENU STYLES --
 * I want to customize how my .pure-menu looks at the top of the page
 */

.home-menu {
    padding: 0.5em;
    text-align: center;
    box-shadow: 0 1px 1px rgba(0,0,0, 0.10);
}
.home-menu.pure-menu-open {
    background: #03466D;
}
.pure-menu.pure-menu-open.pure-menu-fixed {
    /* Fixed menus normally have a border at the bottom. */
    border-bottom: none;
    /* I need a higher z-index here because of the scroll-over effect. */
    z-index: 4;
}

.home-menu .pure-menu-heading {
    color: white;
    font-weight: 400;
    font-size: 120%;
}

.home-menu .pure-menu-selected a {
    color: #FFFFFF;
}

.home-menu li a {
    color: #FFFFFF;   
    padding: 5px 10px;
}
.home-menu li a:hover,
.home-menu li a:focus {
    background: none;
    border: none;
    color: #FFFFFF;
}

.splash-container {
    background : #ffffff url(piano.jpg) no-repeat center center;
    z-index: 1;
    overflow: hidden;
    /* The following styles are required for the "scroll-over" effect */
    width: 848px;
    height: 300px;
    top: 0;
    left: 50%;
    margin-left: -424px;
    position: fixed !important;    
}

.content-wrapper {
    /* These styles are required for the "scroll-over" effect */
    position: relative;
    top: 300px;
    width: 100%;
    min-height: 12%;
    z-index: 2;
    background: white;
    max-width: 1280px;
    margin: 0 auto;
}

.thanks-content-wrapper {
    top: 50px;    
}

.content {
    padding-top: .5em;
}

.content, .ribbon {
    position: relative;
}

.section-link {
    /* This is so that the section headings appear visible when using the header links */
    position: absolute;
    top: -40px;
}

/* This is the class used for the main content headers (<h2>) */
.content-head {
    font-weight: 400;
    text-transform: uppercase;
    font-size: 24px;
    margin: 1em 0 .5em;
}

/* This is a modifier class used when the content-head is inside a ribbon */
.content-head-ribbon {
    color: white;
}

/* This is the class used for the dark-background areas. */
.ribbon {
    background: #03466D;
    color: #EEE;
}

.ribbon .attribution {
    font-style: italic;
    font-size: 80%;
}

.ribbon a {
    color: #fff;
}
/*
 * -- TABLET (AND UP) MEDIA QUERIES --
 * On tablets and other medium-sized devices, we want to customize some
 * of the mobile styles.
 */
@media (min-width: 48em) {

    /* We increase the body font size */
    body {
        font-size: 16px;
    }
    /* We want to give the content area some more padding */
    .content {
        padding: 1em;
    }
    
    .content-head {
        font-size: 36px;    
    }
    
    .contact {
        margin-top: 45px;
    }

    /* We can align the menu header to the left, but float the
    menu items to the right. */
    .home-menu {
        text-align: left;
    }
    
    .home-menu ul {
        float: right;
    }

    /* We remove the border-separator assigned to .l-box-lrg */
    .l-box-lrg {
        border: none;
    }

}